package com.btk5h.skriptdb.events;

import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class SQLQueryCompleteEvent extends Event {
    
	private static final HandlerList HANDLERS = new HandlerList();
	
    private final String argument;

    public SQLQueryCompleteEvent(String argument) {
        super(true);
        this.argument = argument;
    }

    @Override
    public HandlerList getHandlers() {
        return getHandlerList();
    }

    public String getQuery() {
        return argument;
    }

    public static HandlerList getHandlerList() {
        return HANDLERS;
    }
}
